> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Message

> Remove a specific message from a WhatsApp conversation for content moderation, error correction, or conversation cleanup.



## OpenAPI

````yaml DELETE /send-message/delete
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/delete:
    delete:
      tags:
        - Send Message
        - SendMessage
      description: >-
        Remove a specific message from a WhatsApp conversation for content
        moderation, error correction, or conversation cleanup.
      operationId: sendMessage.deleteMessage
      parameters:
        - name: message_id
          in: query
          required: true
          description: Message ID.
          schema:
            type: string
          example: false_xxx@c.us_3A3729D867221FE0B9BD
      responses:
        '200':
          description: '`DeleteMessageResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteMessageResource'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DeleteMessageResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            status:
              type: string
              description: Status of deletion
            type:
              type: string
              description: Indicates if the message is starred or not
            timestamp:
              type: string
              description: The timestamp when it sent.
          required:
            - status
            - type
            - timestamp
      required:
        - success
        - message
        - data
      title: DeleteMessageResource
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````